
using BBM.ChatGLM.Dtos;
using Volo.Abp.Application.Dtos;

namespace BBM.ChatGLM.PromptWord
{
    public interface IPromptWordsAppService : IApplicationService
    {
        Task<PromptWordDto> CreateAsync(PromptWordCreateInput input);
        Task<PromptWordDto> UpdateAsync(PromptWordUpdateInput input);
        Task<int> DeleteAsync(GuidIdInput input);
        Task<PagedResultDto<PromptWordDto>> PageAsync(PromptWordPageInput input);
    }
}
